%define rel 1
%define major 0

Name:    kte-collaborative
Summary: A plugin for KTextEditor which allows to edit text documents collaboratively
Version: 0.2.0
Release: %mkrel %{rel}
Url:     https://projects.kde.org/projects/playground/network/kte-collaborative
Source0: ftp://ftp.kde.org/pub/kde/stable/kte-collaborative/%{version}/src/%{name}-v%{version}.tar.xz

License: GPLv2+
Group:   Graphical desktop/KDE

BuildRequires: pkgconfig(TelepathyQt4)
BuildRequires: qinfinity-devel
BuildRequires: telepathy-kde-common-internals-devel >= 0.6.80
BuildRequires: infinoted

Requires: infinoted


%description
A plugin for KTextEditor which allows to edit text documents collaboratively.

%files -f %{name}.lang
%{_kde_appsdir}/ktecollaborative/
%{_kde_appsdir}/infinotenotifier/infinotenotifier.notifyrc
%{_kde_libdir}/kde4/kio_infinity.so
%{_kde_libdir}/kde4/ktexteditor_collaborative.so
%{_kde_libdir}/kde4/libexec/infinoteclienttubehandler
%{_kde_libdir}/kde4/libexec/infinoteservertubehandler
%{_kde_libdir}/kde4/libexec/infinotenotifier
%{_kde_services}/infinity.protocol
%{_kde_services}/infinotenotifier.desktop
%{_kde_services}/ktexteditor_collaborative.desktop
%{_kde_services}/ktexteditor_collaborative_config.desktop
%{_kde_services}/ktp_kte-collaborative.desktop
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.infinote.service
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.Client.KTp.infinoteServer.service
%{_datadir}/telepathy/clients/KTp.infinote.client
%{_datadir}/telepathy/clients/KTp.infinoteServer.client

#------------------------------------------------------------------------------

%define libinftube %mklibname inftube %{major}

%package -n %{libinftube}
Summary: Runtime library libinftube for %{name}
Group:   System/Libraries

%description -n %{libinftube}
Runtime library libinftube for %{name}.

%files -n %{libinftube}
%{_kde_libdir}/libinftube.so.%{major}*

#------------------------------------------------------------------------------

%define libktecollaborativecommon %mklibname ktecollaborativecommon %{major}

%package -n %{libktecollaborativecommon}
Summary: Runtime library libktecollaborativecommon for %{name}
Group:   System/Libraries

%description -n %{libktecollaborativecommon}
Runtime library libktecollaborativecommon for %{name}.

%files -n %{libktecollaborativecommon}
%{_kde_libdir}/libktecollaborativecommon.so.%{major}*

#------------------------------------------------------------------------------

%define devel %mklibname kte-collaborative -d

%package -n %{devel}
Summary:  Headers files for %{name}
Group:    Development/KDE and Qt 
Provides: %{name}-devel = %{version}-%{release}
Requires: %{name} = %{version}-%{release}
Requires: %{libinftube} = %{version}-%{release}
Requires: %{libktecollaborativecommon} = %{version}-%{release}

%description -n %{devel}
Headers files for %{name}.

%files -n %{devel}
%{_kde_libdir}/libinftube.so
%{_kde_libdir}/libktecollaborativecommon.so

#------------------------------------------------------------------------------

%prep
%setup -qn %{name}-v%{version}
%apply_patches

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name}



%changelog
* Mon Nov 04 2013 lmenut <lmenut> 0.2.0-1.mga4
+ Revision: 549318
- Update to 0.2.0
- libify libinftube & libktecollaborativecommon
- fix files list

* Mon Oct 21 2013 umeabot <umeabot> 0.1.80-2.mga4
+ Revision: 540951
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 mikala <mikala> 0.1.80-1.mga4
+ Revision: 494360
- Update tarball to 0.1.80
- Fix files list

* Thu Aug 29 2013 mikala <mikala> 0.1-0.20130827.1.mga4
+ Revision: 472786
- imported package kte-collaborative

